package com.iamberry.wechat.core.entity.coupon;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * 优惠券详情 实体类
 * 2016年7月6日
 * @author 穆再兴
 *
 */
public class CouponItem implements Serializable {
	private static final long serialVersionUID = -5156827900555021972L;

	private String couponItemId;

	private Integer couponId;

	private String couponItemUseropenid;

	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUseEndDate;

	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponReceiveDate;

	private Integer couponUseStatus;

	private Integer oldCouponUseStatus;

	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUseDate;

	private String couponItemRemark;

	/**优惠券是否已经转赠给他人,1:未转赠；2：已转赠*/
	private Integer couponIsGive;

	private String giveOpenid;

	private PageBean page;

	public String getGiveOpenid() {
		return giveOpenid;
	}

	public void setGiveOpenid(String giveOpenid) {
		this.giveOpenid = giveOpenid;
	}

	public Integer getCouponIsGive() {
		return couponIsGive;
	}

	public void setCouponIsGive(Integer couponIsGive) {
		this.couponIsGive = couponIsGive;
	}

	public String getCouponItemId() {
		return couponItemId;
	}
	public void setCouponItemId(String couponItemId) {
		this.couponItemId = couponItemId;
	}
	public Integer getCouponId() {
		return couponId;
	}
	public void setCouponId(Integer couponId) {
		this.couponId = couponId;
	}
	public String getCouponItemUseropenid() {
		return couponItemUseropenid;
	}
	public void setCouponItemUseropenid(String couponItemUseropenid) {
		this.couponItemUseropenid = couponItemUseropenid;
	}
	public Date getCouponUseEndDate() {
		return couponUseEndDate;
	}
	public void setCouponUseEndDate(Date couponUseEndDate) {
		this.couponUseEndDate = couponUseEndDate;
	}
	public Date getCouponReceiveDate() {
		return couponReceiveDate;
	}
	public void setCouponReceiveDate(Date couponReceiveDate) {
		this.couponReceiveDate = couponReceiveDate;
	}
	public Integer getCouponUseStatus() {
		return couponUseStatus;
	}
	public void setCouponUseStatus(Integer couponUseStatus) {
		this.couponUseStatus = couponUseStatus;
	}
	public Date getCouponUseDate() {
		return couponUseDate;
	}
	public void setCouponUseDate(Date couponUseDate) {
		this.couponUseDate = couponUseDate;
	}
	public String getCouponItemRemark() {
		return couponItemRemark;
	}
	public void setCouponItemRemark(String couponItemRemark) {
		this.couponItemRemark = couponItemRemark;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integer getOldCouponUseStatus() {
		return oldCouponUseStatus;
	}
	public void setOldCouponUseStatus(Integer oldCouponUseStatus) {
		this.oldCouponUseStatus = oldCouponUseStatus;
	}
	
}
